$! Configure procedure 
$! (c) Alexey Chupahin  23-APR-2008
$! 
$!
$!
$! HAVE_JPEG,  HAVE_JPEG_SHARED   -- test for libjpeg  JPEG_LIBRARY_PATH - a path of library to be used
$! HAVE_ZLIB,  HAVE_ZLIB_SHARED  -- test for libz
$! HAVE_LFIND, HAVE_STRCASECMP   -- correspond libraries
$! 
$!
$ SET NOON
$WRITE SYS$OUTPUT " "
$WRITE SYS$OUTPUT "Configuring libPNG library"
$WRITE SYS$OUTPUT "(c) Alexey Chupahin "
$WRITE SYS$OUTPUT " "
$! Checking architecture
$DECC = F$SEARCH("SYS$SYSTEM:DECC$COMPILER.EXE") .NES. ""
$    IF F$GETSYI("ARCH_TYPE").EQ.1 THEN CPU = "VAX"
$    IF F$GETSYI("ARCH_TYPE").EQ.2 THEN CPU = "Alpha"
$    IF F$GETSYI("ARCH_TYPE").EQ.3 THEN CPU = "I64"
$WRITE SYS$OUTPUT "Checking architecture 	...  ", CPU
$SHARED=0
$IF ( (CPU.EQS."Alpha").OR.(CPU.EQS."I64") )
$  THEN 
$	SHARED=64
$  ELSE
$	SHARED=32
$ENDIF
$IF (DECC) THEN $WRITE SYS$OUTPUT  "Compiler		...  DEC C"
$IF (.NOT. DECC) THEN $WRITE SYS$OUTPUT  "BAD compiler" GOTO EXIT
$MMS = F$SEARCH("SYS$SYSTEM:MMS.EXE") .NES. ""
$MMK = F$TYPE(MMK) 
$IF (MMS .OR. MMK.NES."") THEN GOTO TEST_LIBRARIES
$! I cant find any make tool
$ WRITE SYS$OUTPUT "Install MMS or MMK"
$GOTO EXIT
$!
$!
$TEST_LIBRARIES:
$!   Setting as MAKE utility one of MMS or MMK. I prefer MMS.
$IF (MMS) THEN MAKE="MMS"
$IF (MMK.NES."") THEN MAKE="MMK"
$WRITE SYS$OUTPUT "Checking build utility	...  ''MAKE'"
$WRITE SYS$OUTPUT " "
$!
$!
$IF (P1.EQS."STATIC") .OR. (P1.EQS."static") 
$ THEN 
$	SHARED=0
$	WRITE SYS$OUTPUT "Configure for static library"
$ENDIF
$!
$!
$!"Checking for correct zlib library    "
$ DEFINE SYS$ERROR _NLA0:
$ DEFINE SYS$OUTPUT _NLA0:
$ CC/OBJECT=TEST.OBJ/INCLUDE=(ZLIB) SYS$INPUT
      #include <stdlib.h>
      #include <stdio.h>
      #include <zlib.h>
   int main()
     {
        printf("checking version zlib:  %s\n",zlibVersion());
     }
$TMP = $STATUS
$DEASS SYS$ERROR
$DEAS  SYS$OUTPUT
$!WRITE SYS$OUTPUT TMP
$IF (TMP .NE. %X10B90001)
$  THEN
$       HAVE_ZLIB=0
$       ZLIB_SHARED=0
$!       GOTO EXIT
$ENDIF
$DEFINE SYS$ERROR _NLA0:
$DEFINE SYS$OUTPUT _NLA0:
$!Testing for shared ZLIB
$COPY SYS$INPUT []OPT.OPT
SYS$SHARE:LIBZSHR/SHARE
$!
$LINK/EXE=TEST TEST,[]OPT/OPT
$TMP = $STATUS
$!DEL ZLIB.OPT;*
$DEAS SYS$ERROR
$DEAS SYS$OUTPUT
$IF (TMP .NE. %X10000001)
$  THEN
$       ZLIB_SHARED=0
$       GOTO NEXT1
$  ELSE
$       HAVE_ZLIB=0
$       ZLIB_SHARED=1
$ENDIF
$IF (ZLIB_SHARED.EQ.1)
$  THEN
$       WRITE SYS$OUTPUT "Checking for correct shared zlib library ...   Yes"
$       RUN TEST
$       GOTO NEXT2
$  ELSE
$ENDIF
$!
$NEXT1:
$COPY SYS$INPUT []OPT.OPT
ZLIB:LIBZ/LIB
$!
$DEFINE SYS$ERROR _NLA0:
$DEFINE SYS$OUTPUT _NLA0:
$LINK/EXE=TEST TEST,ZLIB:LIBZ/LIB
$TMP = $STATUS
$DEAS  SYS$ERROR
$DEAS  SYS$OUTPUT
$IF (TMP .NE. %X10000001)
$  THEN
$       HAVE_ZLIB=0
$  ELSE
$       HAVE_ZLIB=1
$ENDIF
$IF (HAVE_ZLIB.EQ.1)
$  THEN
$       WRITE SYS$OUTPUT "Checking for correct zlib library ...   Yes"
$       RUN TEST
$  ELSE
$       WRITE SYS$OUTPUT "Checking for correct zlib library ...   No"
$       WRITE SYS$OUTPUT "This is fatal. Please download and install good library from fafner.dyndns.org/~alexey/libsdl/public.html"
$       WRITE SYS$OUTPUT "copy LIBZSHR.EXE to SYS$SHARE if any or stay with static LIBZ.OLB"
$       WRITE SYS$OUTPUT "Do not forget define ZLIB logical to your path where LIBZ.OLB and include files are located"
$       WRITE SYS$OUTPUT ""
$       GOTO EXIT
$ENDIF
$!
$!
$NEXT2:
$!WRITING BUILD FILES
$OPEN/WRITE OUT BUILD.COM
$ WRITE OUT "$",MAKE
$ WRITE OUT "$ CURRENT = F$ENVIRONMENT (""DEFAULT"") "
$ WRITE OUT "$TIFF=CURRENT"
$ WRITE OUT "$OPEN/WRITE OUTT LIBPNG$STARTUP.COM"
$ WRITE OUT "$WRITE OUTT ""DEFINE PNG ","'","'","TIFF'"" "
$ WRITE OUT "$CLOSE OUTT"
$ WRITE OUT "$OPEN/WRITE OUTT LIBPNG.OPT"
$  IF (SHARED.GT.0)
$    THEN
$	WRITE OUT "$WRITE OUTT ""SYS$SHARE:PNG$SHR/SHARE"" "
$    ELSE
$ 	WRITE OUT "$WRITE OUTT ""PNG:LIBPNG/LIB"" "
$ 	WRITE OUT "$WRITE OUTT ""ZLIB:LIBZ/LIB"" "
$  ENDIF
$ WRITE OUT "$CLOSE OUTT"
$!
$ WRITE OUT "$WRITE SYS$OUTPUT "" "" "
$ WRITE OUT "$WRITE SYS$OUTPUT ""***************************************************************************** "" "
$ WRITE OUT "$WRITE SYS$OUTPUT ""LIBPNG$STARTUP.COM has been created. "" "
$ WRITE OUT "$WRITE SYS$OUTPUT ""This file setups all logicals needed. It should be execute before using LibPNG "" "
$ WRITE OUT "$WRITE SYS$OUTPUT ""Nice place to call it - LOGIN.COM "" "
$ WRITE OUT "$WRITE SYS$OUTPUT "" "" "
$ WRITE OUT "$WRITE SYS$OUTPUT ""Compiling projects: "" "
$ IF (SHARED.GT.0)
$  THEN
$ 	WRITE OUT "$WRITE SYS$OUTPUT ""CC/INCL=(PNG,ZLIB) TESTPNG "" "
$ 	WRITE OUT "$WRITE SYS$OUTPUT ""LINK TESTPNG,PNG:LIBPNG$SHR/OPT "" "
$  ELSE
$ 	WRITE OUT "$WRITE SYS$OUTPUT ""CC/INCL=(PNG,ZLIB) TESTPNG "" "
$ 	WRITE OUT "$WRITE SYS$OUTPUT ""LINK TESTPNG,PNG:LIBPNG/OPT "" "
$ ENDIF
$ WRITE OUT "$WRITE SYS$OUTPUT ""***************************************************************************** "" "
$CLOSE OUT
$!
$! DESCRIP.MMS 
COPY SYS$INPUT DESCRIP.MMS
# (c) Alexey Chupahin 23-APR-2008
# OpenVMS 7.3-1, DEC 2000 mod.300
# OpenVMS 8.3-H1,   HP rx1620

CC=cc
CFLAGS =  /INCLUDE=([],ZLIB) \
$IF (CPU.EQS."VAX")
$ THEN
$	APP SYS$INPUT DESCRIP.MMS
	/G_FLOAT \
$ENDIF
$APP SYS$INPUT DESCRIP.MMS
          /DEFINE=(HAVE_CONFIG_H,PNG_CONFIGURE_LIBPNG)\
          /OPTIMIZE=(INLINE=SPEED) 

OBJ=\
png.obj,\
pngerror.obj,\
pngget.obj,\
pngmem.obj,\
pngpread.obj,\
pngread.obj,\
pngrio.obj,\
pngrtran.obj,\
pngrutil.obj,\
pngset.obj,\
pngtrans.obj,\
pngwio.obj,\
pngwrite.obj,\
pngwtran.obj,\
pngwutil.obj


$IF (SHARED.GT.0)
$ THEN
$	APP SYS$INPUT DESCRIP.MMS
ALL : LIBPNG.OLB, PNG$SHR.EXE, PNGTEST.EXE
        COPY PNG$SHR.EXE SYS$SHARE:
        PURGE SYS$SHARE:PNG$SHR.EXE
        $!

PNG$SHR.EXE : LIBPNG.OLB
        LINK/SHARE=PNG$SHR []PNG,LIBPNG/LIB,OPT/OPT,PNG$DEF/OPT 

$ ELSE
$	APP SYS$INPUT DESCRIP.MMS
ALL : LIBPNG.OLB, PNGTEST.EXE
	$!

$ENDIF
$!
$APP SYS$INPUT DESCRIP.MMS
LIBPNG.OLB : $(OBJ)
        LIB/CREA LIBPNG $(OBJ)

png.obj : png.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

PNGTEST.EXE : pngtest.c
         $(CC) $(CFLAGS) $(MMS$SOURCE)
	 LINK PNGTEST,LIBPNG/LIB,OPT/OPT

pngerror.obj : pngerror.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

pnggccrd.obj : pnggccrd.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

pngget.obj : pngget.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

pngmem.obj : pngmem.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

pngpread.obj : pngpread.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

pngread.obj : pngread.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

pngrio.obj : pngrio.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

pngrtran.obj : pngrtran.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

pngvalid.obj : pngvalid.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

pngrutil.obj : pngrutil.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

pngset.obj : pngset.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

pngtest.obj : pngtest.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

pngtrans.obj : pngtrans.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

pngvcrd.obj : pngvcrd.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

pngwio.obj : pngwio.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

pngwrite.obj : pngwrite.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

pngwtran.obj : pngwtran.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

pngwutil.obj : pngwutil.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)
$!
$! Writing TIFF$DEF.OPT
$ IF (SHARED.EQ.32)
$   THEN
$	COPY SYS$INPUT PNG$DEF.OPT
UNIVERSAL=png_access_version_number
UNIVERSAL=png_set_sig_bytes
UNIVERSAL=png_sig_cmp
UNIVERSAL=png_create_read_struct
UNIVERSAL=png_create_write_struct
UNIVERSAL=png_get_compression_buffer_size
UNIVERSAL=png_set_compression_buffer_size
UNIVERSAL=png_set_longjmp_fn
UNIVERSAL=png_longjmp
UNIVERSAL=png_reset_zstream
UNIVERSAL=png_create_read_struct_2
UNIVERSAL=png_create_write_struct_2
UNIVERSAL=png_write_sig
UNIVERSAL=png_write_chunk
UNIVERSAL=png_write_chunk_start
UNIVERSAL=png_write_chunk_data
UNIVERSAL=png_write_chunk_end
UNIVERSAL=png_create_info_struct
UNIVERSAL=png_info_init_3
UNIVERSAL=png_write_info_before_PLTE
UNIVERSAL=png_write_info
UNIVERSAL=png_read_info
UNIVERSAL=png_convert_to_rfc1123
UNIVERSAL=png_convert_from_struct_tm
UNIVERSAL=png_convert_from_time_t
UNIVERSAL=png_set_expand
UNIVERSAL=png_set_expand_gray_1_2_4_to_8
UNIVERSAL=png_set_palette_to_rgb
UNIVERSAL=png_set_tRNS_to_alpha
UNIVERSAL=png_set_bgr
UNIVERSAL=png_set_gray_to_rgb
UNIVERSAL=png_set_rgb_to_gray
UNIVERSAL=png_set_rgb_to_gray_fixed
UNIVERSAL=png_get_rgb_to_gray_status
UNIVERSAL=png_build_grayscale_palette
UNIVERSAL=png_set_strip_alpha
UNIVERSAL=png_set_swap_alpha
UNIVERSAL=png_set_invert_alpha
UNIVERSAL=png_set_filler
UNIVERSAL=png_set_add_alpha
UNIVERSAL=png_set_swap
UNIVERSAL=png_set_packing
UNIVERSAL=png_set_packswap
UNIVERSAL=png_set_shift
UNIVERSAL=png_set_interlace_handling
UNIVERSAL=png_set_invert_mono
UNIVERSAL=png_set_background
UNIVERSAL=png_set_strip_16
UNIVERSAL=png_set_quantize
UNIVERSAL=png_set_gamma
UNIVERSAL=png_set_flush
UNIVERSAL=png_write_flush
UNIVERSAL=png_start_read_image
UNIVERSAL=png_read_update_info
UNIVERSAL=png_read_rows
UNIVERSAL=png_read_row
UNIVERSAL=png_read_image
UNIVERSAL=png_write_row
UNIVERSAL=png_write_rows
UNIVERSAL=png_write_image
UNIVERSAL=png_write_end
UNIVERSAL=png_read_end
UNIVERSAL=png_destroy_info_struct
UNIVERSAL=png_destroy_read_struct
UNIVERSAL=png_destroy_write_struct
UNIVERSAL=png_set_crc_action
UNIVERSAL=png_set_filter
UNIVERSAL=png_set_filter_heuristics
UNIVERSAL=png_set_compression_level
UNIVERSAL=png_set_compression_mem_level
UNIVERSAL=png_set_compression_strategy
UNIVERSAL=png_set_compression_window_bits
UNIVERSAL=png_set_compression_method
UNIVERSAL=png_init_io
UNIVERSAL=png_set_error_fn
UNIVERSAL=png_get_error_ptr
UNIVERSAL=png_set_write_fn
UNIVERSAL=png_set_read_fn
UNIVERSAL=png_get_io_ptr
UNIVERSAL=png_set_read_status_fn
UNIVERSAL=png_set_write_status_fn
UNIVERSAL=png_set_mem_fn
UNIVERSAL=png_get_mem_ptr
UNIVERSAL=png_set_read_user_transform_fn
UNIVERSAL=png_set_write_user_transform_fn
UNIVERSAL=png_set_user_transform_info
UNIVERSAL=png_get_user_transform_ptr
UNIVERSAL=png_set_read_user_chunk_fn
UNIVERSAL=png_get_user_chunk_ptr
UNIVERSAL=png_set_progressive_read_fn
UNIVERSAL=png_get_progressive_ptr
UNIVERSAL=png_process_data
UNIVERSAL=png_progressive_combine_row
UNIVERSAL=png_malloc
UNIVERSAL=png_calloc
UNIVERSAL=png_malloc_warn
UNIVERSAL=png_free
UNIVERSAL=png_free_data
UNIVERSAL=png_data_freer
UNIVERSAL=png_malloc_default
UNIVERSAL=png_free_default
UNIVERSAL=png_error
UNIVERSAL=png_chunk_error
UNIVERSAL=png_warning
UNIVERSAL=png_chunk_warning
UNIVERSAL=png_benign_error
UNIVERSAL=png_chunk_benign_error
UNIVERSAL=png_set_benign_errors
UNIVERSAL=png_get_valid
UNIVERSAL=png_get_rowbytes
UNIVERSAL=png_get_rows
UNIVERSAL=png_set_rows
UNIVERSAL=png_get_channels
UNIVERSAL=png_get_image_width
UNIVERSAL=png_get_image_height
UNIVERSAL=png_get_bit_depth
UNIVERSAL=png_get_color_type
UNIVERSAL=png_get_filter_type
UNIVERSAL=png_get_interlace_type
UNIVERSAL=png_get_compression_type
UNIVERSAL=png_get_pixels_per_meter
UNIVERSAL=png_get_x_pixels_per_meter
UNIVERSAL=png_get_y_pixels_per_meter
UNIVERSAL=png_get_pixel_aspect_ratio
UNIVERSAL=png_get_x_offset_pixels
UNIVERSAL=png_get_y_offset_pixels
UNIVERSAL=png_get_x_offset_microns
UNIVERSAL=png_get_y_offset_microns
UNIVERSAL=png_get_signature
UNIVERSAL=png_get_bKGD
UNIVERSAL=png_set_bKGD
UNIVERSAL=png_get_cHRM
UNIVERSAL=png_get_cHRM_fixed
UNIVERSAL=png_set_cHRM
UNIVERSAL=png_set_cHRM_fixed
UNIVERSAL=png_get_gAMA
UNIVERSAL=png_get_gAMA_fixed
UNIVERSAL=png_set_gAMA
UNIVERSAL=png_set_gAMA_fixed
UNIVERSAL=png_get_hIST
UNIVERSAL=png_set_hIST
UNIVERSAL=png_get_IHDR
UNIVERSAL=png_set_IHDR
UNIVERSAL=png_get_oFFs
UNIVERSAL=png_set_oFFs
UNIVERSAL=png_get_pCAL
UNIVERSAL=png_set_pCAL
UNIVERSAL=png_get_pHYs
UNIVERSAL=png_set_pHYs
UNIVERSAL=png_get_PLTE
UNIVERSAL=png_set_PLTE
UNIVERSAL=png_get_sBIT
UNIVERSAL=png_set_sBIT
UNIVERSAL=png_get_sRGB
UNIVERSAL=png_set_sRGB
UNIVERSAL=png_set_sRGB_gAMA_and_cHRM
UNIVERSAL=png_get_iCCP
UNIVERSAL=png_set_iCCP
UNIVERSAL=png_get_sPLT
UNIVERSAL=png_set_sPLT
UNIVERSAL=png_get_text
UNIVERSAL=png_set_text
UNIVERSAL=png_get_tIME
UNIVERSAL=png_set_tIME
UNIVERSAL=png_get_tRNS
UNIVERSAL=png_set_tRNS
UNIVERSAL=png_get_sCAL
UNIVERSAL=png_get_sCAL_s
UNIVERSAL=png_set_sCAL
UNIVERSAL=png_set_sCAL_s
UNIVERSAL=png_set_keep_unknown_chunks
UNIVERSAL=png_handle_as_unknown
UNIVERSAL=png_set_unknown_chunks
UNIVERSAL=png_set_unknown_chunk_location
UNIVERSAL=png_get_unknown_chunks
UNIVERSAL=png_set_invalid
UNIVERSAL=png_read_png
UNIVERSAL=png_write_png
UNIVERSAL=png_get_copyright
UNIVERSAL=png_get_header_ver
UNIVERSAL=png_get_header_version
UNIVERSAL=png_get_libpng_ver
UNIVERSAL=png_permit_mng_features
UNIVERSAL=png_set_user_limits
UNIVERSAL=png_get_user_width_max
UNIVERSAL=png_get_user_height_max
UNIVERSAL=png_set_chunk_cache_max
UNIVERSAL=png_get_chunk_cache_max
UNIVERSAL=png_set_chunk_malloc_max
UNIVERSAL=png_get_chunk_malloc_max
UNIVERSAL=png_get_pixels_per_inch
UNIVERSAL=png_get_x_pixels_per_inch
UNIVERSAL=png_get_y_pixels_per_inch
UNIVERSAL=png_get_x_offset_inches
UNIVERSAL=png_get_y_offset_inches
UNIVERSAL=png_get_pHYs_dpi
UNIVERSAL=png_get_io_state
UNIVERSAL=png_get_io_chunk_name
UNIVERSAL=png_get_uint_32
UNIVERSAL=png_get_uint_16
UNIVERSAL=png_get_int_32
UNIVERSAL=png_get_uint_31
UNIVERSAL=png_save_uint_32
UNIVERSAL=png_save_int_32
UNIVERSAL=png_save_uint_16
UNIVERSAL=png_set_gamma_fixed
UNIVERSAL=png_set_filter_heuristics_fixed
UNIVERSAL=png_get_pixel_aspect_ratio_fixe
UNIVERSAL=png_get_x_offset_inches_fixed
UNIVERSAL=png_get_y_offset_inches_fixed
UNIVERSAL=png_set_sCAL_fixed
UNIVERSAL=png_get_sCAL_fixed
UNIVERSAL=png_set_background_fixed
UNIVERSAL=png_get_io_chunk_type
UNIVERSAL=png_get_current_row_number
UNIVERSAL=png_get_current_pass_number
UNIVERSAL=png_process_data_pause
UNIVERSAL=png_process_data_skip
UNIVERSAL=png_set_expand_16
UNIVERSAL=png_set_text_compression_level
UNIVERSAL=png_set_text_compression_mem_le
UNIVERSAL=png_set_text_compression_strate
UNIVERSAL=png_set_text_compress_win_bits
UNIVERSAL=png_set_text_compression_method
UNIVERSAL=png_set_alpha_mode
UNIVERSAL=png_set_alpha_mode_fixed
UNIVERSAL=png_set_scale_16
UNIVERSAL=png_get_cHRM_XYZ
UNIVERSAL=png_get_cHRM_XYZ_fixed
UNIVERSAL=png_set_cHRM_XYZ
UNIVERSAL=png_set_cHRM_XYZ_fixed
$ ENDIF
$ IF (SHARED.EQ.64)
$   THEN
$       COPY SYS$INPUT PNG$DEF.OPT
SYMBOL_VECTOR= (-
png_access_version_number=PROCEDURE,-
png_set_sig_bytes=PROCEDURE,-
png_sig_cmp=PROCEDURE,-
png_create_read_struct=PROCEDURE,-
png_create_write_struct=PROCEDURE,-
png_get_compression_buffer_size=PROCEDURE,-
png_set_compression_buffer_size=PROCEDURE,-
png_set_longjmp_fn=PROCEDURE,-
png_longjmp=PROCEDURE,-
png_reset_zstream=PROCEDURE,-
png_create_read_struct_2=PROCEDURE,-
png_create_write_struct_2=PROCEDURE,-
png_write_sig=PROCEDURE,-
png_write_chunk=PROCEDURE,-
png_write_chunk_start=PROCEDURE,-
png_write_chunk_data=PROCEDURE,-
png_write_chunk_end=PROCEDURE,-
png_create_info_struct=PROCEDURE,-
png_info_init_3=PROCEDURE,-
png_write_info_before_PLTE=PROCEDURE,-
png_write_info=PROCEDURE,-
png_read_info=PROCEDURE,-
png_convert_to_rfc1123=PROCEDURE,-
png_convert_from_struct_tm=PROCEDURE,-
png_convert_from_time_t=PROCEDURE,-
png_set_expand=PROCEDURE,-
png_set_expand_gray_1_2_4_to_8=PROCEDURE,-
png_set_palette_to_rgb=PROCEDURE,-
png_set_tRNS_to_alpha=PROCEDURE,-
png_set_bgr=PROCEDURE,-
png_set_gray_to_rgb=PROCEDURE,-
png_set_rgb_to_gray=PROCEDURE,-
png_set_rgb_to_gray_fixed=PROCEDURE,-
png_get_rgb_to_gray_status=PROCEDURE,-
png_build_grayscale_palette=PROCEDURE,-
png_set_strip_alpha=PROCEDURE,-
png_set_swap_alpha=PROCEDURE,-
png_set_invert_alpha=PROCEDURE,-
png_set_filler=PROCEDURE,-
png_set_add_alpha=PROCEDURE,-
png_set_swap=PROCEDURE,-
png_set_packing=PROCEDURE,-
png_set_packswap=PROCEDURE,-
png_set_shift=PROCEDURE,-
png_set_interlace_handling=PROCEDURE,-
png_set_invert_mono=PROCEDURE,-
png_set_background=PROCEDURE,-
png_set_strip_16=PROCEDURE,-
png_set_quantize=PROCEDURE,-
png_set_gamma=PROCEDURE,-
png_set_flush=PROCEDURE,-
png_write_flush=PROCEDURE,-
png_start_read_image=PROCEDURE,-
png_read_update_info=PROCEDURE,-
png_read_rows=PROCEDURE,-
png_read_row=PROCEDURE,-
png_read_image=PROCEDURE,-
png_write_row=PROCEDURE,-
png_write_rows=PROCEDURE,-
png_write_image=PROCEDURE,-
png_write_end=PROCEDURE,-
png_read_end=PROCEDURE,-
png_destroy_info_struct=PROCEDURE,-
png_destroy_read_struct=PROCEDURE,-
png_destroy_write_struct=PROCEDURE,-
png_set_crc_action=PROCEDURE,-
png_set_filter=PROCEDURE,-
png_set_filter_heuristics=PROCEDURE,-
png_set_compression_level=PROCEDURE,-
png_set_compression_mem_level=PROCEDURE,-
png_set_compression_strategy=PROCEDURE,-
png_set_compression_window_bits=PROCEDURE,-
png_set_compression_method=PROCEDURE,-
png_init_io=PROCEDURE,-
png_set_error_fn=PROCEDURE,-
png_get_error_ptr=PROCEDURE,-
png_set_write_fn=PROCEDURE,-
png_set_read_fn=PROCEDURE,-
png_get_io_ptr=PROCEDURE,-
png_set_read_status_fn=PROCEDURE,-
png_set_write_status_fn=PROCEDURE,-
png_set_mem_fn=PROCEDURE,-
png_get_mem_ptr=PROCEDURE,-
png_set_read_user_transform_fn=PROCEDURE,-
png_set_write_user_transform_fn=PROCEDURE,-
png_set_user_transform_info=PROCEDURE,-
png_get_user_transform_ptr=PROCEDURE,-
png_set_read_user_chunk_fn=PROCEDURE,-
png_get_user_chunk_ptr=PROCEDURE,-
png_set_progressive_read_fn=PROCEDURE,-
png_get_progressive_ptr=PROCEDURE,-
png_process_data=PROCEDURE,-
png_progressive_combine_row=PROCEDURE,-
png_malloc=PROCEDURE,-
png_calloc=PROCEDURE,-
png_malloc_warn=PROCEDURE,-
png_free=PROCEDURE,-
png_free_data=PROCEDURE,-
png_data_freer=PROCEDURE,-
png_malloc_default=PROCEDURE,-
png_free_default=PROCEDURE,-
png_error=PROCEDURE,-
png_chunk_error=PROCEDURE,-
png_warning=PROCEDURE,-
png_chunk_warning=PROCEDURE,-
png_benign_error=PROCEDURE,-
png_chunk_benign_error=PROCEDURE,-
png_set_benign_errors=PROCEDURE,-
png_get_valid=PROCEDURE,-
png_get_rowbytes=PROCEDURE,-
png_get_rows=PROCEDURE,-
png_set_rows=PROCEDURE,-
png_get_channels=PROCEDURE,-
png_get_image_width=PROCEDURE,-
png_get_image_height=PROCEDURE,-
png_get_bit_depth=PROCEDURE,-
png_get_color_type=PROCEDURE,-
png_get_filter_type=PROCEDURE,-
png_get_interlace_type=PROCEDURE,-
png_get_compression_type=PROCEDURE,-
png_get_pixels_per_meter=PROCEDURE,-
png_get_x_pixels_per_meter=PROCEDURE,-
png_get_y_pixels_per_meter=PROCEDURE,-
png_get_pixel_aspect_ratio=PROCEDURE,-
png_get_x_offset_pixels=PROCEDURE,-
png_get_y_offset_pixels=PROCEDURE,-
png_get_x_offset_microns=PROCEDURE,-
png_get_y_offset_microns=PROCEDURE,-
png_get_signature=PROCEDURE,-
png_get_bKGD=PROCEDURE,-
png_set_bKGD=PROCEDURE,-
png_get_cHRM=PROCEDURE,-
png_get_cHRM_fixed=PROCEDURE,-
png_set_cHRM=PROCEDURE,-
png_set_cHRM_fixed=PROCEDURE,-
png_get_gAMA=PROCEDURE,-
png_get_gAMA_fixed=PROCEDURE,-
png_set_gAMA=PROCEDURE,-
png_set_gAMA_fixed=PROCEDURE,-
png_get_hIST=PROCEDURE,-
png_set_hIST=PROCEDURE,-
png_get_IHDR=PROCEDURE,-
png_set_IHDR=PROCEDURE,-
png_get_oFFs=PROCEDURE,-
png_set_oFFs=PROCEDURE,-
png_get_pCAL=PROCEDURE,-
png_set_pCAL=PROCEDURE,-
png_get_pHYs=PROCEDURE,-
png_set_pHYs=PROCEDURE,-
png_get_PLTE=PROCEDURE,-
png_set_PLTE=PROCEDURE,-
png_get_sBIT=PROCEDURE,-
png_set_sBIT=PROCEDURE,-
png_get_sRGB=PROCEDURE,-
png_set_sRGB=PROCEDURE,-
png_set_sRGB_gAMA_and_cHRM=PROCEDURE,-
png_get_iCCP=PROCEDURE,-
png_set_iCCP=PROCEDURE,-
png_get_sPLT=PROCEDURE,-
png_set_sPLT=PROCEDURE,-
png_get_text=PROCEDURE,-
png_set_text=PROCEDURE,-
png_get_tIME=PROCEDURE,-
png_set_tIME=PROCEDURE,-
png_get_tRNS=PROCEDURE,-
png_set_tRNS=PROCEDURE,-
png_get_sCAL=PROCEDURE,-
png_get_sCAL_s=PROCEDURE,-
png_set_sCAL=PROCEDURE,-
png_set_sCAL_s=PROCEDURE,-
png_set_keep_unknown_chunks=PROCEDURE,-
png_handle_as_unknown=PROCEDURE,-
png_set_unknown_chunks=PROCEDURE,-
png_set_unknown_chunk_location=PROCEDURE,-
png_get_unknown_chunks=PROCEDURE,-
png_set_invalid=PROCEDURE,-
png_read_png=PROCEDURE,-
png_write_png=PROCEDURE,-
png_get_copyright=PROCEDURE,-
png_get_header_ver=PROCEDURE,-
png_get_header_version=PROCEDURE,-
png_get_libpng_ver=PROCEDURE,-
png_permit_mng_features=PROCEDURE,-
png_set_user_limits=PROCEDURE,-
png_get_user_width_max=PROCEDURE,-
png_get_user_height_max=PROCEDURE,-
png_set_chunk_cache_max=PROCEDURE,-
png_get_chunk_cache_max=PROCEDURE,-
png_set_chunk_malloc_max=PROCEDURE,-
png_get_chunk_malloc_max=PROCEDURE,-
png_get_pixels_per_inch=PROCEDURE,-
png_get_x_pixels_per_inch=PROCEDURE,-
png_get_y_pixels_per_inch=PROCEDURE,-
png_get_x_offset_inches=PROCEDURE,-
png_get_y_offset_inches=PROCEDURE,-
png_get_pHYs_dpi=PROCEDURE,-
png_get_io_state=PROCEDURE,-
png_get_io_chunk_name=PROCEDURE,-
png_get_uint_32=PROCEDURE,-
png_get_uint_16=PROCEDURE,-
png_get_int_32=PROCEDURE,-
png_get_uint_31=PROCEDURE,-
png_save_uint_32=PROCEDURE,-
png_save_int_32=PROCEDURE,-
png_save_uint_16=PROCEDURE,-
png_set_gamma_fixed=PROCEDURE,-
png_set_filter_heuristics_fixed=PROCEDURE,-
png_get_pixel_aspect_ratio_fixe=PROCEDURE,-
png_get_x_offset_inches_fixed=PROCEDURE,-
png_get_y_offset_inches_fixed=PROCEDURE,-
png_set_sCAL_fixed=PROCEDURE,-
png_get_sCAL_fixed=PROCEDURE,-
png_set_background_fixed=PROCEDURE,-
png_get_io_chunk_type=PROCEDURE,-
png_get_current_row_number=PROCEDURE,-
png_get_current_pass_number=PROCEDURE,-
png_process_data_pause=PROCEDURE,-
png_process_data_skip=PROCEDURE,-
png_set_expand_16=PROCEDURE,-
png_set_text_compression_level=PROCEDURE,-
png_set_text_compression_mem_le=PROCEDURE,-
png_set_text_compression_strate=PROCEDURE,-
png_set_text_compress_win_bits=PROCEDURE,-
png_set_text_compression_method=PROCEDURE,-
png_set_alpha_mode=PROCEDURE,-
png_set_alpha_mode_fixed=PROCEDURE,-
png_set_scale_16=PROCEDURE,-
png_get_cHRM_XYZ=PROCEDURE,-
png_get_cHRM_XYZ_fixed=PROCEDURE,-
png_set_cHRM_XYZ=PROCEDURE,-
png_set_cHRM_XYZ_fixed=PROCEDURE-
)

$ENDIF
$!
$! Writing PNG$SHR.OPT file to build TOOLS
$ IF (SHARED.GT.0)
$   THEN
$	OPEN/WRITE OUT LIBPNG$SHR.OPT
$	WRITE OUT "SYS$SHARE:PNG$SHR/SHARE" 
$	CLOSE OUT
$   ELSE
$	OPEN/WRITE OUT LIBPNG.OPT
$	WRITE OUT "PNG:LIBPNG/LIB"
$	IF (ZLIB_SHARED.EQ.1) 
$	  THEN 
$		WRITE OUT "SYS$SHARE:LIBZSHR/SHARE"
$	  ELSE
$		WRITE OUT "ZLIB:LIBZ/LIB"
$	ENDIF
$	CLOSE OUT
$ ENDIF
$!
$!
$WRITE SYS$OUTPUT "Creating pnglibconf.h"
$IF (CPU.EQS."VAX")
$ THEN
$	COPY SYS$INPUT pnglibconf.h
/*  pnglibconf.h - library build configuration */

/*  libpng version 1.5.3 - July 7, 2011 */

/*  Copyright (c) 1998-2011 Glenn Randers-Pehrson */

/*  This code is released under the libpng license. */
/*  For conditions of distribution and use, see the disclaimer */
/*  and license in png.h */

/* pnglibconf.h */
/* Machine generated file: DO NOT EDIT */
/* Derived from: scripts/pnglibconf.dfa */
#ifndef PNGLCONF_H
#define PNGLCONF_H
/* settings */
#define PNG_MAX_GAMMA_8 11
#define PNG_CALLOC_SUPPORTED
#define PNG_QUANTIZE_RED_BITS 5
#define PNG_USER_WIDTH_MAX 1000000
#define PNG_QUANTIZE_GREEN_BITS 5
#define PNG_API_RULE 0
#define PNG_QUANTIZE_BLUE_BITS 5
#define PNG_USER_CHUNK_CACHE_MAX 0
#define PNG_USER_HEIGHT_MAX 1000000
#define PNG_sCAL_PRECISION 5
#define PNG_COST_SHIFT 3
#define PNG_WEIGHT_SHIFT 8
#define PNG_USER_CHUNK_MALLOC_MAX 0
#define PNG_DEFAULT_READ_MACROS 1
#define PNG_ZBUF_SIZE 8192
#define PNG_GAMMA_THRESHOLD_FIXED 5000
/* end of settings */
/* options */
#define PNG_INFO_IMAGE_SUPPORTED
#define PNG_HANDLE_AS_UNKNOWN_SUPPORTED
#define PNG_POINTER_INDEXING_SUPPORTED
#define PNG_WARNINGS_SUPPORTED
#define PNG_FLOATING_ARITHMETIC_SUPPORTED
#define PNG_WRITE_SUPPORTED
#define PNG_WRITE_INTERLACING_SUPPORTED
#define PNG_WRITE_16BIT_SUPPORTED
#define PNG_EASY_ACCESS_SUPPORTED
#define PNG_ALIGN_MEMORY_SUPPORTED
#define PNG_WRITE_WEIGHTED_FILTER_SUPPORTED
#define PNG_WRITE_UNKNOWN_CHUNKS_SUPPORTED
#define PNG_BUILD_GRAYSCALE_PALETTE_SUPPORTED
#define PNG_USER_LIMITS_SUPPORTED
#define PNG_FIXED_POINT_SUPPORTED
/*#undef PNG_ERROR_NUMBERS_SUPPORTED*/
#define PNG_ERROR_TEXT_SUPPORTED
#define PNG_READ_SUPPORTED
#define PNG_BENIGN_ERRORS_SUPPORTED
#define PNG_SETJMP_SUPPORTED
#define PNG_TIME_RFC1123_SUPPORTED
#define PNG_WRITE_FLUSH_SUPPORTED
#define PNG_MNG_FEATURES_SUPPORTED
#define PNG_FLOATING_POINT_SUPPORTED
#define PNG_WRITE_OPTIMIZE_CMF_SUPPORTED
#define PNG_INCH_CONVERSIONS_SUPPORTED
#define PNG_STDIO_SUPPORTED
#define PNG_READ_UNKNOWN_CHUNKS_SUPPORTED
#define PNG_USER_MEM_SUPPORTED
#define PNG_IO_STATE_SUPPORTED
#define PNG_SET_USER_LIMITS_SUPPORTED
#define PNG_READ_ANCILLARY_CHUNKS_SUPPORTED
#define PNG_WRITE_INT_FUNCTIONS_SUPPORTED
#define PNG_WRITE_ANCILLARY_CHUNKS_SUPPORTED
#define PNG_WRITE_FILTER_SUPPORTED
#define PNG_WRITE_zTXt_SUPPORTED
#define PNG_SET_CHUNK_CACHE_LIMIT_SUPPORTED
#define PNG_WRITE_iCCP_SUPPORTED
#define PNG_READ_TRANSFORMS_SUPPORTED
#define PNG_READ_bKGD_SUPPORTED
#define PNG_UNKNOWN_CHUNKS_SUPPORTED
#define PNG_READ_sCAL_SUPPORTED
#define PNG_WRITE_hIST_SUPPORTED
#define PNG_READ_OPT_PLTE_SUPPORTED
#define PNG_SET_CHUNK_MALLOC_LIMIT_SUPPORTED
#define PNG_WRITE_gAMA_SUPPORTED
#define PNG_READ_GRAY_TO_RGB_SUPPORTED
#define PNG_WRITE_pCAL_SUPPORTED
#define PNG_READ_INVERT_ALPHA_SUPPORTED
#define PNG_WRITE_TRANSFORMS_SUPPORTED
#define PNG_READ_ALPHA_MODE_SUPPORTED
#define PNG_READ_sBIT_SUPPORTED
#define PNG_WRITE_CUSTOMIZE_ZTXT_COMPRESSION_SUPPORTED
#define PNG_READ_PACK_SUPPORTED
#define PNG_WRITE_iTXt_SUPPORTED
#define PNG_WRITE_SWAP_SUPPORTED
#define PNG_READ_cHRM_SUPPORTED
#define PNG_READ_STRIP_16_TO_8_SUPPORTED
#define PNG_WRITE_tIME_SUPPORTED
#define PNG_READ_INTERLACING_SUPPORTED
#define PNG_READ_tRNS_SUPPORTED
#define PNG_WRITE_pHYs_SUPPORTED
#define PNG_WRITE_INVERT_SUPPORTED
#define PNG_READ_RGB_TO_GRAY_SUPPORTED
#define PNG_WRITE_sRGB_SUPPORTED
#define PNG_READ_oFFs_SUPPORTED
#define PNG_WRITE_FILLER_SUPPORTED
#define PNG_WRITE_SHIFT_SUPPORTED
#define PNG_PROGRESSIVE_READ_SUPPORTED
#define PNG_READ_SHIFT_SUPPORTED
#define PNG_CONVERT_tIME_SUPPORTED
#define PNG_READ_USER_TRANSFORM_SUPPORTED
#define PNG_READ_INT_FUNCTIONS_SUPPORTED
#define PNG_READ_USER_CHUNKS_SUPPORTED
#define PNG_READ_hIST_SUPPORTED
#define PNG_READ_16BIT_SUPPORTED
#define PNG_READ_SWAP_ALPHA_SUPPORTED
#define PNG_READ_COMPOSITE_NODIV_SUPPORTED
#define PNG_SEQUENTIAL_READ_SUPPORTED
#define PNG_READ_BACKGROUND_SUPPORTED
#define PNG_READ_QUANTIZE_SUPPORTED
#define PNG_READ_zTXt_SUPPORTED
#define PNG_READ_iCCP_SUPPORTED
#define PNG_READ_STRIP_ALPHA_SUPPORTED
#define PNG_READ_PACKSWAP_SUPPORTED
#define PNG_READ_sRGB_SUPPORTED
#define PNG_READ_pCAL_SUPPORTED
#define PNG_WRITE_sPLT_SUPPORTED
#define PNG_READ_iTXt_SUPPORTED
#define PNG_READ_SWAP_SUPPORTED
#define PNG_READ_tIME_SUPPORTED
#define PNG_READ_pHYs_SUPPORTED
#define PNG_WRITE_SWAP_ALPHA_SUPPORTED
#define PNG_READ_SCALE_16_TO_8_SUPPORTED
#define PNG_WRITE_BGR_SUPPORTED
#define PNG_USER_CHUNKS_SUPPORTED
#define PNG_CONSOLE_IO_SUPPORTED
#define PNG_WRITE_COMPRESSED_TEXT_SUPPORTED
#define PNG_WRITE_PACK_SUPPORTED
#define PNG_READ_FILLER_SUPPORTED
#define PNG_WRITE_bKGD_SUPPORTED
#define PNG_WRITE_tRNS_SUPPORTED
#define PNG_READ_sPLT_SUPPORTED
#define PNG_WRITE_sCAL_SUPPORTED
#define PNG_WRITE_oFFs_SUPPORTED
#define PNG_WRITE_sBIT_SUPPORTED
#define PNG_READ_INVERT_SUPPORTED
#define PNG_WRITE_cHRM_SUPPORTED
#define PNG_16BIT_SUPPORTED
#define PNG_WRITE_USER_TRANSFORM_SUPPORTED
#define PNG_READ_BGR_SUPPORTED
#define PNG_WRITE_PACKSWAP_SUPPORTED
#define PNG_WRITE_INVERT_ALPHA_SUPPORTED
#define PNG_sCAL_SUPPORTED
#define PNG_READ_GAMMA_SUPPORTED
#define PNG_USER_TRANSFORM_INFO_SUPPORTED
#define PNG_sBIT_SUPPORTED
#define PNG_cHRM_SUPPORTED
#define PNG_bKGD_SUPPORTED
#define PNG_tRNS_SUPPORTED
#define PNG_oFFs_SUPPORTED
#define PNG_READ_EXPAND_16_SUPPORTED
#define PNG_USER_TRANSFORM_PTR_SUPPORTED
#define PNG_WRITE_TEXT_SUPPORTED
#define PNG_READ_COMPRESSED_TEXT_SUPPORTED
#define PNG_hIST_SUPPORTED
#define PNG_zTXt_SUPPORTED
#define PNG_iCCP_SUPPORTED
#define PNG_sRGB_SUPPORTED
#define PNG_pCAL_SUPPORTED
#define PNG_WRITE_tEXt_SUPPORTED
#define PNG_CHECK_cHRM_SUPPORTED
#define PNG_READ_gAMA_SUPPORTED
#define PNG_iTXt_SUPPORTED
#define PNG_tIME_SUPPORTED
#define PNG_READ_EXPAND_SUPPORTED
#define PNG_pHYs_SUPPORTED
#define PNG_READ_TEXT_SUPPORTED
#define PNG_SAVE_INT_32_SUPPORTED
#define PNG_sPLT_SUPPORTED
#define PNG_READ_tEXt_SUPPORTED
#define PNG_gAMA_SUPPORTED
#define PNG_TEXT_SUPPORTED
#define PNG_tEXt_SUPPORTED
/* end of options */
#endif /* PNGLCONF_H */

$ ELSE
$	COPY SYS$INPUT pnglibconf.h
/*  pnglibconf.h - library build configuration */

/*  libpng version 1.5.3 - July 7, 2011 */

/*  Copyright (c) 1998-2011 Glenn Randers-Pehrson */

/*  This code is released under the libpng license. */
/*  For conditions of distribution and use, see the disclaimer */
/*  and license in png.h */

/* pnglibconf.h */
/* Machine generated file: DO NOT EDIT */
/* Derived from: scripts/pnglibconf.dfa */
#ifndef PNGLCONF_H
#define PNGLCONF_H
/* settings */
#define PNG_MAX_GAMMA_8 11
#define PNG_CALLOC_SUPPORTED
#define PNG_QUANTIZE_RED_BITS 5
#define PNG_USER_WIDTH_MAX 1000000
#define PNG_QUANTIZE_GREEN_BITS 5
#define PNG_API_RULE 0
#define PNG_QUANTIZE_BLUE_BITS 5
#define PNG_USER_CHUNK_CACHE_MAX 0
#define PNG_USER_HEIGHT_MAX 1000000
#define PNG_sCAL_PRECISION 5
#define PNG_COST_SHIFT 3
#define PNG_WEIGHT_SHIFT 8
#define PNG_USER_CHUNK_MALLOC_MAX 0
#define PNG_DEFAULT_READ_MACROS 1
#define PNG_ZBUF_SIZE 8192
#define PNG_GAMMA_THRESHOLD_FIXED 5000
/* end of settings */
/* options */
#define PNG_INFO_IMAGE_SUPPORTED
#define PNG_HANDLE_AS_UNKNOWN_SUPPORTED
#define PNG_POINTER_INDEXING_SUPPORTED
#define PNG_WARNINGS_SUPPORTED
#define PNG_FLOATING_ARITHMETIC_SUPPORTED
#define PNG_WRITE_SUPPORTED
#define PNG_WRITE_INTERLACING_SUPPORTED
#define PNG_WRITE_16BIT_SUPPORTED
#define PNG_EASY_ACCESS_SUPPORTED
#define PNG_ALIGN_MEMORY_SUPPORTED
#define PNG_WRITE_WEIGHTED_FILTER_SUPPORTED
#define PNG_WRITE_UNKNOWN_CHUNKS_SUPPORTED
#define PNG_BUILD_GRAYSCALE_PALETTE_SUPPORTED
#define PNG_USER_LIMITS_SUPPORTED
#define PNG_FIXED_POINT_SUPPORTED
/*#undef PNG_ERROR_NUMBERS_SUPPORTED*/
#define PNG_ERROR_TEXT_SUPPORTED
#define PNG_READ_SUPPORTED
#define PNG_BENIGN_ERRORS_SUPPORTED
#define PNG_SETJMP_SUPPORTED
#define PNG_TIME_RFC1123_SUPPORTED
#define PNG_WRITE_FLUSH_SUPPORTED
#define PNG_MNG_FEATURES_SUPPORTED
#define PNG_FLOATING_POINT_SUPPORTED
#define PNG_WRITE_OPTIMIZE_CMF_SUPPORTED
#define PNG_STDIO_SUPPORTED
#define PNG_INCH_CONVERSIONS_SUPPORTED
#define PNG_USER_MEM_SUPPORTED
#define PNG_READ_UNKNOWN_CHUNKS_SUPPORTED
#define PNG_IO_STATE_SUPPORTED
#define PNG_SET_USER_LIMITS_SUPPORTED
#define PNG_READ_ANCILLARY_CHUNKS_SUPPORTED
#define PNG_WRITE_INT_FUNCTIONS_SUPPORTED
#define PNG_WRITE_ANCILLARY_CHUNKS_SUPPORTED
#define PNG_WRITE_FILTER_SUPPORTED
#define PNG_WRITE_zTXt_SUPPORTED
#define PNG_WRITE_iCCP_SUPPORTED
#define PNG_READ_TRANSFORMS_SUPPORTED
#define PNG_SET_CHUNK_CACHE_LIMIT_SUPPORTED
#define PNG_READ_bKGD_SUPPORTED
#define PNG_UNKNOWN_CHUNKS_SUPPORTED
#define PNG_WRITE_hIST_SUPPORTED
#define PNG_READ_sCAL_SUPPORTED
#define PNG_READ_OPT_PLTE_SUPPORTED
#define PNG_SET_CHUNK_MALLOC_LIMIT_SUPPORTED
#define PNG_WRITE_gAMA_SUPPORTED
#define PNG_READ_GRAY_TO_RGB_SUPPORTED
#define PNG_WRITE_pCAL_SUPPORTED
#define PNG_READ_INVERT_ALPHA_SUPPORTED
#define PNG_WRITE_TRANSFORMS_SUPPORTED
#define PNG_READ_ALPHA_MODE_SUPPORTED
#define PNG_WRITE_CUSTOMIZE_ZTXT_COMPRESSION_SUPPORTED
#define PNG_READ_sBIT_SUPPORTED
#define PNG_READ_PACK_SUPPORTED
#define PNG_WRITE_SWAP_SUPPORTED
#define PNG_WRITE_iTXt_SUPPORTED
#define PNG_READ_cHRM_SUPPORTED
#define PNG_READ_STRIP_16_TO_8_SUPPORTED
#define PNG_WRITE_tIME_SUPPORTED
#define PNG_READ_RGB_TO_GRAY_SUPPORTED
#define PNG_WRITE_INVERT_SUPPORTED
#define PNG_WRITE_pHYs_SUPPORTED
#define PNG_READ_tRNS_SUPPORTED
#define PNG_READ_INTERLACING_SUPPORTED
#define PNG_WRITE_sRGB_SUPPORTED
#define PNG_READ_oFFs_SUPPORTED
#define PNG_WRITE_FILLER_SUPPORTED
#define PNG_WRITE_SHIFT_SUPPORTED
#define PNG_PROGRESSIVE_READ_SUPPORTED
#define PNG_READ_SHIFT_SUPPORTED
#define PNG_CONVERT_tIME_SUPPORTED
#define PNG_READ_USER_TRANSFORM_SUPPORTED
#define PNG_READ_INT_FUNCTIONS_SUPPORTED
#define PNG_READ_USER_CHUNKS_SUPPORTED
#define PNG_READ_16BIT_SUPPORTED
#define PNG_READ_hIST_SUPPORTED
#define PNG_READ_SWAP_ALPHA_SUPPORTED
#define PNG_READ_COMPOSITE_NODIV_SUPPORTED
#define PNG_SEQUENTIAL_READ_SUPPORTED
#define PNG_READ_BACKGROUND_SUPPORTED
#define PNG_READ_QUANTIZE_SUPPORTED
#define PNG_READ_zTXt_SUPPORTED
#define PNG_READ_STRIP_ALPHA_SUPPORTED
#define PNG_READ_iCCP_SUPPORTED
#define PNG_READ_PACKSWAP_SUPPORTED
#define PNG_READ_sRGB_SUPPORTED
#define PNG_READ_pCAL_SUPPORTED
#define PNG_WRITE_sPLT_SUPPORTED
#define PNG_READ_SWAP_SUPPORTED
#define PNG_READ_iTXt_SUPPORTED
#define PNG_READ_tIME_SUPPORTED
#define PNG_READ_pHYs_SUPPORTED
#define PNG_WRITE_SWAP_ALPHA_SUPPORTED
#define PNG_READ_SCALE_16_TO_8_SUPPORTED
#define PNG_WRITE_BGR_SUPPORTED
#define PNG_USER_CHUNKS_SUPPORTED
#define PNG_CONSOLE_IO_SUPPORTED
#define PNG_WRITE_COMPRESSED_TEXT_SUPPORTED
#define PNG_WRITE_PACK_SUPPORTED
#define PNG_READ_FILLER_SUPPORTED
#define PNG_WRITE_bKGD_SUPPORTED
#define PNG_READ_sPLT_SUPPORTED
#define PNG_WRITE_tRNS_SUPPORTED
#define PNG_WRITE_sCAL_SUPPORTED
#define PNG_WRITE_oFFs_SUPPORTED
#define PNG_WRITE_sBIT_SUPPORTED
#define PNG_READ_INVERT_SUPPORTED
#define PNG_WRITE_cHRM_SUPPORTED
#define PNG_16BIT_SUPPORTED
#define PNG_WRITE_USER_TRANSFORM_SUPPORTED
#define PNG_READ_BGR_SUPPORTED
#define PNG_WRITE_PACKSWAP_SUPPORTED
#define PNG_WRITE_INVERT_ALPHA_SUPPORTED
#define PNG_sCAL_SUPPORTED
#define PNG_READ_GAMMA_SUPPORTED
#define PNG_USER_TRANSFORM_INFO_SUPPORTED
#define PNG_sBIT_SUPPORTED
#define PNG_cHRM_SUPPORTED
#define PNG_bKGD_SUPPORTED
#define PNG_tRNS_SUPPORTED
#define PNG_oFFs_SUPPORTED
#define PNG_READ_EXPAND_16_SUPPORTED
#define PNG_USER_TRANSFORM_PTR_SUPPORTED
#define PNG_WRITE_TEXT_SUPPORTED
#define PNG_READ_COMPRESSED_TEXT_SUPPORTED
#define PNG_hIST_SUPPORTED
#define PNG_zTXt_SUPPORTED
#define PNG_iCCP_SUPPORTED
#define PNG_sRGB_SUPPORTED
#define PNG_pCAL_SUPPORTED
#define PNG_CHECK_cHRM_SUPPORTED
#define PNG_WRITE_tEXt_SUPPORTED
#define PNG_READ_gAMA_SUPPORTED
#define PNG_iTXt_SUPPORTED
#define PNG_tIME_SUPPORTED
#define PNG_READ_EXPAND_SUPPORTED
#define PNG_pHYs_SUPPORTED
#define PNG_READ_TEXT_SUPPORTED
#define PNG_SAVE_INT_32_SUPPORTED
#define PNG_sPLT_SUPPORTED
#define PNG_READ_tEXt_SUPPORTED
#define PNG_gAMA_SUPPORTED
#define PNG_TEXT_SUPPORTED
#define PNG_tEXt_SUPPORTED
/* end of options */
#endif /* PNGLCONF_H */
$ENDIF
$!
$!
$PNG_H = F$SEARCH("PNG.H;2")
$IF PNG_H .EQS. ""
$ THEN
$	WRITE SYS$OUTPUT "Patching png.h"
$	DEF SYS$ERROR _NLA0:
$	DEF SYS$OUTPUT _NLA0:
$	COP SYS$INPUT PNG.H;2
	#define png_get_pixel_aspect_ratio_fixed png_get_pixel_aspect_ratio_fixe
	#define png_set_text_compression_mem_level png_set_text_compression_mem_le
	#define png_set_text_compression_strategy png_set_text_compression_strate
	#define png_set_text_compression_window_bits png_set_text_compress_win_bits
$	APP PNG.H;1 PNG.H;2
$	DEAS SYS$OUTPUT
$	DEAS SYS$ERROR
$ENDIF

$!
$!

$WRITE SYS$OUTPUT "Creating CONFIG.H"
$COPY SYS$INPUT CONFIG.H
/* config.h.in.  Generated from configure.ac by autoheader.  */

#define PNG_NO_SNPRINTF 1
/* Define to 1 if you have the <dlfcn.h> header file. */
#define HAVE_DLFCN_H 1

/* Define to 1 if you have the <inttypes.h> header file. */
#define HAVE_INTTYPES_H 1

/* Define to 1 if you have the `m' library (-lm). */
#define HAVE_LIBM 1

/* Define to 1 if you have the `z' library (-lz). */
#define HAVE_LIBZ 1

/* Define to 1 if you have the <malloc.h> header file. */
//#define HAVE_MALLOC_H 1

/* Define to 1 if you have the <memory.h> header file. */
//#undef HAVE_MEMORY_H

/* Define to 1 if you have the `memset' function. */
#define HAVE_MEMSET 1

/* Define to 1 if you have the `pow' function. */
#define HAVE_POW 1

/* Define to 1 if you have the <stdint.h> header file. */
//#undef HAVE_STDINT_H

/* Define to 1 if you have the <stdlib.h> header file. */
#define HAVE_STDLIB_H 1

/* Define to 1 if you have the <strings.h> header file. */
#define HAVE_STRINGS_H 1

/* Define to 1 if you have the <string.h> header file. */
#define  HAVE_STRING_H 1

/* Define to 1 if you have the <sys/stat.h> header file. */
#define HAVE_SYS_STAT_H 1

/* Define to 1 if you have the <sys/types.h> header file. */
#define HAVE_SYS_TYPES_H 1

/* Define to 1 if you have the <unistd.h> header file. */
#define HAVE_UNISTD_H 1

/* Name of package */
#define PACKAGE "libpng"

/* Define to the address where bug reports for this package should be sent. */
#define PACKAGE_BUGREPORT ""

/* Define to the full name of this package. */
#define PACKAGE_NAME "libpng"

/* Define to the full name and version of this package. */
#define PACKAGE_STRING "libpng"

/* Define to the one symbol short name of this package. */
#define PACKAGE_TARNAME "libpng"

/* Define to the version of this package. */
#define PACKAGE_VERSION "1.5.13-VMS"

/* Define to 1 if you have the ANSI C header files. */
#define STDC_HEADERS 1

/* Define to 1 if your <sys/time.h> declares `struct tm'. */
#define TM_IN_SYS_TIME 1

/* Version number of package */
#define VERSION "1.5.13-VMS"

/* Define to empty if `const' does not conform to ANSI C. */
#undef const

/* Define to `unsigned int' if <sys/types.h> does not define. */
#undef size_t

$WRITE SYS$OUTPUT " "
$WRITE SYS$OUTPUT " "
$WRITE SYS$OUTPUT "Now you can type @BUILD "
$!
$EXIT:
$DEFINE SYS$ERROR _NLA0:
$DEFINE SYS$OUTPUT _NLA0:
$DEL TEST.OBJ;*
$DEL TEST.C;*
$DEL TEST.EXE;*
$DEL TEST.OPT;*
$DEAS SYS$ERROR
$DEAS SYS$OUTPUT
